net.minecraft.command

## Class PlayerSelector

- java.lang.Object
- - net.minecraft.command.PlayerSelector

-     public class PlayerSelector
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerSelector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map` | `func_96560_a(Map par0Map)`
    `static boolean` | `hasArguments(String par0Str)` Returns whether the given token has any arguments set.
    `static boolean` | `hasTheseArguments(String par0Str, String par1Str)` Returns whether the given token (parameter 1) has exactly the given arguments (parameter 2).
    `static boolean` | `matchesMultiplePlayers(String par0Str)` Returns whether the given pattern can match more than one player.
    `static EntityPlayerMP` | `matchOnePlayer(ICommandSender par0ICommandSender, String par1Str)` Returns the one player that matches the given at-token.
    `static EntityPlayerMP[]` | `matchPlayers(ICommandSender par0ICommandSender, String par1Str)` Returns an array of all players matched by the given at-token.
    `static String` | `matchPlayersAsString(ICommandSender par0ICommandSender, String par1Str)` Returns a nicely-formatted string listing the matching players.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayerSelector

          public PlayerSelector()

  - ### Method Detail

    - #### matchOnePlayer

          public static EntityPlayerMP matchOnePlayer(ICommandSender par0ICommandSender,
                                      String par1Str)

      Returns the one player that matches the given at-token. Returns null if more than one player matches.

    - #### matchPlayersAsString

          public static String matchPlayersAsString(ICommandSender par0ICommandSender,
                                    String par1Str)

      Returns a nicely-formatted string listing the matching players.

    - #### matchPlayers

          public static EntityPlayerMP[] matchPlayers(ICommandSender par0ICommandSender,
                                      String par1Str)

      Returns an array of all players matched by the given at-token.

    - #### func_96560_a

          public static Map func_96560_a(Map par0Map)

    - #### matchesMultiplePlayers

          public static boolean matchesMultiplePlayers(String par0Str)

      Returns whether the given pattern can match more than one player.

    - #### hasTheseArguments

          public static boolean hasTheseArguments(String par0Str,
                                  String par1Str)

      Returns whether the given token (parameter 1) has exactly the given arguments (parameter 2).

    - #### hasArguments

          public static boolean hasArguments(String par0Str)

      Returns whether the given token has any arguments set.